For Developers

List Grade Levels

This model is part of an upcoming API update which is currently in beta and therefore subject to change.

GET https://ed.link/api/v2/graph/grade_levels

Retrieve a list of all Grade Levels.

Request Parameters

This query allows for filtering results.

This query allows for standard paging parameters.

It is best practice to use either $first or $last in conjunction with the $next value returned by the API to paginate through results.

Sample Request

axios.get('https://ed.link/api/v2/graph/grade_levels', {
    headers: {
        authorization: `Bearer ${integration_access_token}`
    }
});

Sample Response

{
    "$data": [
        {
            "id": "00000000-0000-0000-0000-000000000000",
            "created_date": "2021-07-05T20:32:40.454Z",
            "updated_date": "2021-07-12T21:44:23.126Z",
            "code": "EG1",
            "name": "Elementary - Grade 1",
            "description": "1st grade level for elementary school students.",
            "mapping": "01"
        }
    ],
    "$request": "00000000-0000-0000-0000-000000000000"
}